function plot_contour_farfield_sub(theta, phi, G)
% Madeleine Kildal Schilliger.

% Define unit vector R in xyz-coordinates for far-field angles.
x = sin(theta) .* cos(phi);
y = sin(theta) .* sin(phi);
z = cos(theta);

range_dB = 30;

%Surface plot of radiation pattern
surf(x, y, G);
colormap(jet(range_dB/2));
shading flat;
view(0, 90);
caxis([-range_dB 0]);
axis image;
grid off;
box on;
hold on;
plot(cos(phi(1,:)), sin(phi(1,:)), 'k');