close all;
clear;

% Example data.
x = linspace(-3, 3, 1001);
y = sinc(x);
xi = -3:3;
yi = sinc(xi);

% Plot.
figure;
plot(x, y, 'b--', 'LineWidth', 1);
hold on;
plot(xi, yi, 'ro');
title('Title (optional)');
xlabel('Label x-axis [unit]');
ylabel('Label y-axis [unit]');
grid on;
xlim([-3 3]);
ylim([-0.4 1.2]);

% Save plot.
save_fig('test_plot_matlab.eps', 12, 9, 450);
save_fig('test_plot_matlab.png', 12, 9, 450);
